Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

certstor_sqlite.h
Go to the documentation of this file.
1 /*
2 * Certificate Store in SQL
3 * (C) 2016 Kai Michaelis, Rohde & Schwarz Cybersecurity
4 *
5 * Botan is released under the Simplified BSD License (see license.txt)
6 */
7
8 #ifndef BOTAN_CERT_STORE_SQLITE_H__
9 #define BOTAN_CERT_STORE_SQLITE_H__
10
11 #include <botan/certstor_sql.h>
12
13 namespace Botan {
14
15 /**
16 * Certificate and private key store backed by an sqlite (http://sqlite.org) database.
17 */
18 class BOTAN_DLL Certificate_Store_In_SQLite : public Certificate_Store_In_SQL
19 {
20 public:
21 /**
22 * Create/open a certificate store.
23 * @param db_path path to the database file
24 * @param passwd password to encrypt private keys in the database
25 * @param rng used for encrypting keys
26 * @param table_prefix optional prefix for db table names
27 */
28 Certificate_Store_In_SQLite(const std::string& db_path,
29 const std::string& passwd,
30 RandomNumberGenerator& rng,
31 const std::string& table_prefix = "");
32 };
33 }
34 #endif
Botan::RandomNumberGenerator
Definition: rng.h:25
Botan::Certificate_Store_In_SQLite
Definition: certstor_sqlite.h:18
Botan
Definition: alg_id.cpp:13
Botan::Certificate_Store_In_SQL
Definition: certstor_sql.h:23